---
title: "Detail of a single Coupon"
url: "https://developer.migros.ch/apis/coupons-3/versions/2b8e9e45-2e72-462e-b3cb-d5019d51e0e3/operations/auditDetail"
---

> Full API specification: https://developer.migros.ch/apis/coupons-3/versions/2b8e9e45-2e72-462e-b3cb-d5019d51e0e3.md

# Detail of a single Coupon

`GET` `/migros/customers/coupons/v3/audit/{id}/{lang}`

Operation ID: `auditDetail`

All details about a Coupons for **human** inspection and audit. You must not parse and must not process this HTML page.

## Path parameters

- `id` (integer, required) - Coupon ID (the M-Promo ID, not the GTIN).
- `lang` (string, required) - Language code: de, fr, it or en

## Responses

- `200` - HTML page

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Coupons
  version: 3.4.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/customers/coupons/v3/audit/{id}/{lang}:
    get:
      description: |-
        All details about a Coupons for **human** inspection and audit.

        You must not parse and must not process this HTML page.
      operationId: auditDetail
      parameters:
        - $ref: "#/components/parameters/cpnid"
        - $ref: "#/components/parameters/langvariant"
      responses:
        "200":
          content:
            text/html: {}
          description: HTML page
      summary: Detail of a single Coupon
      tags:
        - Audit
security:
  - Kong-Api-Key: []
  - Basic-Auth: []
components:
  parameters:
    cpnid:
      description: Coupon ID (the M-Promo ID, not the GTIN).
      example: 234531
      in: path
      name: id
      required: true
      schema:
        type: integer
    langvariant:
      description: "Language code: de, fr, it or en"
      example: de
      in: path
      name: lang
      required: true
      schema:
        type: string
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    Basic-Auth:
      description: Kong basic-auth authentication
      scheme: basic
      type: http
```
